<?PHP
	include "include/globals.php";
	include "mailfunctions.php";

	function CreateFolderList($folderarr, $mbox) {
		$folders = getfolderlist($mbox);
		
		echo("	<SCRIPT TYPE=\"text/javascript\">\n");
		echo("		if (document.getElementById) {\n");
		echo("			var foldertree = new WebFXTree('Inside Systems Mail');\n");
		echo("			foldertree.setBehavior('explorer');\n");
		$modstring = "";
		for($i = 0; $i < count($folders); $i++) {
			echo("			var tn" . $i . " = new WebFXTreeItem('" . addslashes($folders[$i]["name"]));
			$status = imap_status($mbox, $folders[$i]["folder"],SA_ALL);
			if ($status->unseen > 0) {
				echo(" (" . $status->unseen . ")");
				echo("');\n");
				$modstring .= "document.getElementById('webfx-tree-object-" . ($i + 3). "-anchor').style.fontWeight = 'bold';\n";
				$modstring .= "parent.document.title = '* Inside Systems Mail " . addslashes($GLOBALS["ismailversion"]) . "';\n";
			} else {
				echo ("');\n");
			}
			if ($folders[$i]["level"] > 1) {
				for ($j = $i; $j >= 0; $j--) {
					if ($folders[$j]["level"] < $folders[$i]["level"]) {
						echo("			tn" . $j . ".add(tn" . $i . ");\n");
						if ($status->unseen > 0) {
							$modstring .= "			tn" . $j . ".expand();\n";
						}
						break;
					}
				}
			} else {
				echo("			foldertree.add(tn" . $i . ");\n");
			}
			if ($folders[$i]["folder"] != "") {
				echo("			tn" . $i . ".action = 'javascript:viewfolder(\'" . urlencode(addslashes($folders[$i]["folder"])) . "\', " . ($i + 3) . ")';\n");
			}
			if ($folders[$i]["folder"] == $_SESSION["currentfolder"]) {
				echo ("		var currentfolder = '" . addslashes($_SESSION["currentfolder"]) . "';\n");
				echo("		var currentfolderid = " . ($i + 3) . ";\n");
				$foundcurrent = 1;
			}
		}
		echo("			document.write(foldertree);\n");
		echo($modstring);
		echo("		}\n");
		// There are a variety of circumstances where a current folder won't be found.
		// When that happens, we will just assign the first folder we have as the current folder
		if (!isset($foundcurrent)) {
				$_SESSION["currentfolder"] = $folders[0]["folder"];
				echo ("		var currentfolder = '" . addslashes($_SESSION["currentfolder"]) . "';\n");
				echo("		var currentfolderid = 3;\n");
		}
		echo("	</SCRIPT>\n");
	}
?><!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
	<TITLE>
	</TITLE>
	<?PHP ContentTypeHeader();?>
	<STYLE TYPE="text/css">
		.hc {
			font-family: arial;
			font-weight: bold;
			text-decoration: none;
			color: white;
			text-align: center;
		}
		.dl {
			height: 20px;
			width: 17px;
			background: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/dl.gif"); ?>);
		}
		.dm {
			height: 20px;

			width: 17px;
			background: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/dm.gif"); ?>);
		}
		.db {
			height: 20px;
			width: 17px;
			background: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/db.gif"); ?>);
		}
	</STYLE>
	<SCRIPT type="text/JavaScript"> <?PHP include "xtree/xtree.php"; ?></SCRIPT>
	<STYLE type="text/css"><?PHP include "xtree/xtree-css.php"; ?></STYLE>
	<SCRIPT TYPE="text/javascript">
		parent.document.title = 'Inside Systems Mail <?PHP echo($GLOBALS["ismailversion"]);?>';
		dragunderway = 0;

		if (document.all) {
			document.styleSheets[0].addRule('.fc','font-size: x-small;');
		} else {
			document.styleSheets[0].insertRule('.fc {font-size: small;}', document.styleSheets[0].cssRules.length);
		}

		var lastid = 0;

		function viewfolder(folder, id) {
			lastid = id;
			if (parent.maillist) {
				parent.maillist.location.href='maillist.php?newmailbox=' + escape(folder);
			} else {
				setTimeout('viewfolder(' + escape(folder) + ', ' + id + ');', 500);
			}
		}
	</SCRIPT>
</HEAD>
<BODY STYLE="margin: 0; background-image: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/stipplebg.gif"); ?>);">
	<TABLE CELLPADDING="0" CELLSPACING="0" STYLE="width: 100%">
		<TR>
			<TD STYLE="width: 10px">
				<BR>
			</TD>
			<TD CLASS="fc" ID="listcell">
				<?PHP
					$mbox = open_mailbox();
					$folders = imap_lsub($mbox, $_SESSION["serverstring"], "*");
					if ($folders !== false) {
						CreateFolderList($folders, $mbox);
					}
				?>
			</TD>
		</TR>
	</TABLE>
</BODY>
<SCRIPT TYPE="text/javascript">
	viewfolder(currentfolder, currentfolderid);

<?PHP
	if (($_SESSION["autorefresh"] == 1) && ($_SESSION["refreshinterval"] > 0)) {
		echo("	function RefreshFolders() {\n");
		echo("		if (parent.hiddenframe.isDone == 1) {\n");
		echo("			parent.hiddenframe.location.href = 'hidden.php?action=refreshfolderlist';\n");
		echo("		}\n");
		echo("	}\n");
		echo("	setInterval('RefreshFolders();', " . ((int)$_SESSION["refreshinterval"]*60000) . ");\n");
	}
?>
</SCRIPT>
</HTML>
