<?PHP
	include "include/globals.php";
	include "mailfunctions.php";

	// exit if no message has been chosen yet
	if(($_SESSION["currentfolder"] == "") || ($_SESSION["currentmessage"] == "") || ($_SESSION["currentmessage"] == -1)) {
		exit;
	}

	$mbox = open_mailbox($_SESSION["currentfolder"]);
?><!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
	<TITLE>
	</TITLE>
	<?PHP ContentTypeHeader();?>
	<STYLE TYPE="text/css">
	</STYLE>
	<SCRIPT TYPE="text/Javascript">
		if (document.all) {
			document.styleSheets[0].addRule('.mc','font-family: arial,sans-serif; font-size: x-small');
		} else {
			document.styleSheets[0].insertRule('.mc {font-family: arial,sans-serif; font-size: small}', document.styleSheets[0].cssRules.length);
		}

<?PHP
	if ($_SESSION['dictenable'] == 1) {
		echo("		function defineWord(word) {\n");
		echo("			window.open('dict.php?word=' + word,'','width=650,height=480,toolbars=no,scrollbars=yes');\n");
		echo("		}\n");
		echo("		function GetWord() {\n");
		echo("			if (document.getSelection) {\n");
		echo("				var text = document.getSelection();\n");
		echo("			} else if (document.selection) {\n");
		echo("				var text = document.selection.createRange().text;\n");
		echo("			} else {\n");
		echo("				return;\n");
		echo("			}\n");
		echo("			defineWord(text);\n");
		echo("		}\n");
	}

	// Test to see if we are to deliver a confirmation of some sort
	if (isset($_POST["sendreceipt"])) {
		$headerinfo = @imap_header($mbox, imap_msgno($mbox, $_SESSION["currentmessage"]), 50, 50);
                SendReadConfirmation($mbox, $headerinfo->fromaddress, $headerinfo->toaddress, $headerinfo->subject, $headerinfo->message_id, date("n/j/Y g:i A", strtotime($headerinfo->date)));
	} else if (isset($_POST["noreceipt"])) {
		imap_setflag_full($mbox,$_SESSION["currentmessage"],'\\SEEN', ST_UID);
	} else if (($_SESSION["confirmdelivery"] != "never") && (!isset($_POST["noreceipt"]))){
		// Now check if this has been seen. If seen, don't bother. If not, check to send a receipt.
		$headerinfo = @imap_header($mbox, imap_msgno($mbox, $_SESSION["currentmessage"]), 50, 50);
                if (($headerinfo->Unseen == "U") || ($headerinfo->Recent == "N")) {
			// Since it's been seen, we must send receipts.
			$fullheader = imap_fetchheader($mbox, $_SESSION["currentmessage"], FT_UID);
			preg_match("/\nDisposition-Notification-To:(.*)\n/i", $fullheader, $match);
			// If there is a Disposition-Notification-To header, check to see if we send it automatically
			if (($match[1] != "") && ($_SESSION["confirmdelivery"] == "always")) {
				SendReadConfirmation($mbox, $headerinfo->fromaddress, $headerinfo->toaddress, $headerinfo->subject, $headerinfo->message_id, date("n/j/Y g:i A", strtotime($headerinfo->date)));
			} else if (($match[1] != "") && ($_SESSION["confirmdelivery"] == "ask")) {
				$confirmreceipt = 1;
			}
		}
	}
?>
	</script>

	<STYLE TYPE="text/css">
	 	a:link {
			color: <?PHP echo($_SESSION['themeconfig']['mail-link-color'] . ";\n"); ?>
		}
		
		a:visited {
			color: <?PHP echo($_SESSION['themeconfig']['mail-link-visited-color'] . ";\n"); ?>
		}

		a:hover {
			color: <?PHP echo($_SESSION['themeconfig']['mail-link-hover-color'] . ";\n"); ?>
		}
	</STYLE>

</HEAD>
<BODY STYLE="margin: 0px;">
<TABLE CELLPADDING="7" CELLSPACING="0" STYLE="width: 100%">
<?PHP
	if (isset($confirmreceipt)) {
		echo("	<TR>\n");
		echo("		<TD STYLE=\"text-align: center\">\n");
		echo("			<FORM NAME=\"confirmreceipt\" METHOD=\"post\" ACTION=\"mail.php\">\n");
		echo("				<SPAN CLASS=\"mc\">" . gettext("The sender of this e-mail has requested a receipt indicating that you have read it. Do you wish to send one?") . "</SPAN><BR>\n");
		echo("				<INPUT TYPE=\"submit\" NAME=\"sendreceipt\" VALUE=\" " . gettext("Yes") . " \">&nbsp;&nbsp;&nbsp;<INPUT TYPE=\"submit\" NAME=\"noreceipt\" VALUE=\" " . gettext("No") . " \">\n");
		echo("			<HR>\n");
		echo("			</FORM>\n");
		echo("		</TD>\n");
		echo("	</TR>\n");
	}
?>
	<TR>
		<?PHP
			if ($_SESSION['dictenable'] == 1) {
				echo("			<TD ID=\"mail\" CLASS=\"mc\" onDblClick=\"GetWord();\">\n");
			} else {
				echo("			<TD ID=\"mail\" CLASS=\"mc\">\n");
			}
				// open the mailbox
				if($mbox) {
					echo(printBody($mbox));
				}
			echo("			</TD>\n");
		?>
	</TR>
</TABLE>
</BODY>
<?PHP
	imap_close($mbox);
?>
</HTML>
