<?PHP
	include "include/globals.php";
	include $_SESSION['addressbookstorage'];

	if (!isset($_REQUEST["identityid"])) {
		echo("No identityid requested");
		exit;
	}

	$AddressBook = new AddressBook();

	if (isset($_REQUEST["submit"])) {
		$AddressBook->SetIdentityName($_REQUEST["identityid"], trim($_REQUEST["identityname"]));

		// Set the display name of this identity
		$AddressBook->SetIdentityAttribute($_REQUEST["identityid"], "displayname", trim($_REQUEST["displayname"]));

		// Set the reply-to address for this identity
		$AddressBook->SetIdentityAttribute($_REQUEST["identityid"], "replyto", trim($_REQUEST["replyto"]));

		// Set the organization name
		$AddressBook->SetIdentityAttribute($_REQUEST["identityid"], "organization", trim($_REQUEST["organization"]));

		// Set our signature
		$AddressBook->SetIdentityAttribute($_REQUEST["identityid"], "signature", trim($_REQUEST["signature"]));

		header("Location: settingsidentities.php");
		exit;
	}

	$identity = $AddressBook->GetIdentityInfo($_REQUEST["identityid"]);
?><!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
	<TITLE></TITLE>
	<?PHP ContentTypeHeader();?>
	<STYLE TYPE="text/css">
	</STYLE>
	<SCRIPT TYPE="text/javascript">
		if (document.all) {
			document.styleSheets[0].addRule('.hc','vertical-align: top; width: 100px; font-family: arial,sans-serif; font-size: x-small; text-align: right; font-weight: bold');
		} else {
			document.styleSheets[0].insertRule('.hc {vertical-align: top; width: 100px; font-family: arial,sans-serif; font-size: small; text-align: right; font-weight: bold}', document.styleSheets[0].cssRules.length);
		}
		parent.sheader.location.href = 'header.php?header=Editing+an+Identity';
	</SCRIPT>
</HEAD>
<BODY STYLE="margin: 0px; background-image: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/stipplebg.gif"); ?>);">
<FORM NAME="identityform" METHOD="post" ACTION="settingseditidentity.php">
<INPUT TYPE="hidden" NAME="identityid" VALUE="<?PHP echo($_REQUEST["identityid"]);?>">
<TABLE ALIGN="center" CELLPADDING=1 CELLSPACING=0 BORDER=0 STYLE="width: 100%">
	<TR>
		<TD CLASS="hc">
			<?PHP echo(gettext("Identity Name"));?>
		</TD>
		<TD>
			<INPUT TYPE="text" NAME="identityname" VALUE="<?PHP echo(htmlspecialchars($identity["name"]));?>" STYLE="width: 96%">
		</TD>
	</TR>
	<TR>
		<TD CLASS="hc">
			<?PHP echo(gettext("Display Name"));?>
		</TD>
		<TD>
			<INPUT TYPE="text" NAME="displayname" VALUE="<?PHP echo(htmlspecialchars($identity["displayname"]));?>" STYLE="width: 96%">
		</TD>
	</TR>
	<TR>
		<TD CLASS="hc">
			<?PHP echo(gettext("Reply To"));?>
		</TD>
		<TD>
			<INPUT TYPE="text" NAME="replyto" VALUE="<?PHP echo(htmlspecialchars($identity["replyto"]));?>" STYLE="width: 96%">
		</TD>
	</TR>
	<TR>
		<TD CLASS="hc">
			<?PHP echo(gettext("Organization"));?>
		</TD>
		<TD>
			<INPUT TYPE="text" NAME="organization" VALUE="<?PHP echo(htmlspecialchars($identity["organization"]));?>" STYLE="width: 96%">
		</TD>
	</TR>
	<TR>
		<TD CLASS="hc">
			<?PHP echo(gettext("Signature"));?>
		</TD>
		<TD>
			<TEXTAREA NAME="signature" STYLE="width: 96%" ROWS=6><?PHP echo(htmlspecialchars($identity["signature"]));?></TEXTAREA>
		</TD>
	<TR>
		<TD COLSPAN=2 STYLE="text-align: center">
			<INPUT TYPE="submit" NAME="submit" VALUE=" <?PHP echo(gettext("Update"));?> ">
		</TD>
	</TR>
</TABLE>
</FORM>
</BODY>
</HTML>
