<?PHP
	include "include/globals.php";
	include $_SESSION['addressbookstorage'];

	$AddressBook = new AddressBook();
	if (isset($_POST["updatesettings"])) {

		if (isset($_POST["locale"])) {
			UpdateLocale($_POST["locale"]);
		}
		$defsettings = array_keys($GLOBALS["defaultsettings"]);
		foreach ($defsettings as $defsetting){
			if ($GLOBALS["defaultsettings"][$defsetting]["type"] == "none") {
				continue;
			} else if ($GLOBALS["defaultsettings"][$defsetting]["type"] == "integer") {
				if (isset($_POST[$defsetting])) {
					$AddressBook->SetSetting($defsetting, (int)$_POST[$defsetting]);
					$_SESSION[$defsetting] = (int)$_POST[$defsetting];
				} else {
					$AddressBook->SetSetting($defsetting, (int)$GLOBALS["defaultsettings"][$defsetting]["value"]);
					$_SESSION[$defsetting] = (int)$GLOBALS["defaultsettings"][$defsetting]["value"];
				}
			} else if ($GLOBALS["defaultsettings"][$defsetting]["type"] == "boolean") {
				if (isset($_POST[$defsetting])) {
					$AddressBook->SetSetting($defsetting, 1);
					$_SESSION[$defsetting] = 1;
				} else {
					$AddressBook->SetSetting($defsetting, 0);
					$_SESSION[$defsetting] = 0;
				}
			} else if ($GLOBALS["defaultsettings"][$defsetting]["type"] == "select") {
				if (isset($_POST[$defsetting]) && (array_key_exists($_POST[$defsetting], $GLOBALS["defaultsettings"][$defsetting]["values"]))) {
					$AddressBook->SetSetting($defsetting, $_POST[$defsetting]);
					$_SESSION[$defsetting] = $_POST[$defsetting];
				} else {
					$AddressBook->SetSetting($defsetting, $GLOBALS["defaultsettings"][$defsetting]["value"]);
					$_SESSION[$defsetting] = $GLOBALS["defaultsettings"][$defsetting]["value"];
				}
			}
		}

		$updated = 1;
	}

	$settings = $AddressBook->GetSettings();
?><!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
	<TITLE></TITLE>
	<?PHP ContentTypeHeader();?>
	<STYLE TYPE="text/css">
		input {
			padding-left: 4px;
		}
		.lt {
			text-align: right;
			vertical-align: top;
			width: 50%;
		}
		.rt {
			text-align: left;
			vertical-align: top;
			width: 45%;
		}
		.spc {
			width: 5%;
		}
	</STYLE>
	<SCRIPT TYPE="text/javascript">
		if (document.all) {
			document.styleSheets[0].addRule('.hc','font-family: arial,sans-serif; font-size: x-small; text-align: center; color: white; font-weight: bold');
		} else {
			document.styleSheets[0].insertRule('.hc {font-family: arial,sans-serif; font-size: small; text-align: center; color: white; font-weight: bold}', document.styleSheets[0].cssRules.length);
		}
		parent.sheader.location.href = 'header.php?header=<?PHP
			echo(addslashes(gettext("General Settings")));
		?>';
	</SCRIPT>
</HEAD>
<BODY STYLE="margin: 0px; background-image: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/stipplebg.gif"); ?>);">
<FORM NAME="settingform" METHOD="post" ACTION="settingsgeneral.php">
<TABLE ALIGN="center" CELLPADDING=1 CELLSPACING=0 BORDER=0 STYLE="font-size: x-small; width: 90%; font-family: arial,sans-serif">
	<TR>
		<TD COLSPAN=3>
			<BR>
		</TD>
	</TR>
<?PHP
	if (isset($updated)) {
		echo("	<TR>\n");
		echo("		<TD COLSPAN=3 STYLE=\"color: #FF0000; text-align: center\">\n");
		echo("			" . gettext("Your general settings have been updated") . "\n");
		echo("		</TD>\n");
		echo("	</TR>\n");
	}

	reset($GLOBALS["defaultsettings"]);
	while (list($key, $val) = each($GLOBALS["defaultsettings"])) {
		if ($val["type"] == "none") {
			continue;
		}
		echo("	<TR>\n");
		echo("		<TD CLASS=\"lt\">\n");
		echo("			" . $val["desc"] . "\n");
		echo("		</TD>\n");
		echo("		<TD CLASS=\"spc\">\n");
		echo("		</TD>\n");
		echo("		<TD CLASS=\"rt\">\n");
		if ($val["type"] == "boolean") {
			echo("			<INPUT TYPE=\"checkbox\" NAME=\"" . $key . "\"");
			if ($settings[$key] == 1) {
				echo(" CHECKED");
			}
			echo(">\n");
		} else if ($val["type"] == "integer") {
			echo("			<INPUT SIZE=\"5\" MAXSIZE=\"5\" TYPE=\"text\" NAME=\"" . $key . "\" VALUE=\"" . (int)$settings[$key] . "\">\n");
		} else if ($val["type"] == "select") {
			echo("			<SELECT NAME=\"" . $key . "\" SIZE=1>\n");
			while(list($valkey, $valval) = each($val["values"])) {
				echo("				<OPTION VALUE=\"" . htmlspecialchars($valkey) . "\"");
				if ($settings[$key] == $valkey) {
					echo(" SELECTED");
				}
				echo(">" . $valval . "\n");
			}
			echo("			</SELECT>\n");
		} else {
			echo("Can't change it yet - " . $val["type"]);
		}
		echo("		</TD>\n");
		echo("	</TR>\n");
		echo("	<TR>\n");
		echo("		<TD COLSPAN=3 STYLE=\"text-align: center\">\n");
		echo("			<HR WIDTH=50% NOSHADE>\n");
		echo("		</TD>\n");
		echo("	</TR>\n");
	}
?>
	<TR>
		<TD COLSPAN=3 STYLE="text-align: center">
			<BR>
			<INPUT TYPE="submit" NAME="updatesettings" VALUE=" <?PHP echo(gettext("Update Settings"));?> ">
		</TD>
	</TR>
</TABLE>
</FORM>
</BODY>
</HTML>
