<?PHP
	include "include/globals.php";
	include "mailfunctions.php";

	function namehash($pos, $name) {
		return $pos . ":" . $name[0] . ":" . $name[strlen($name) - 1] . ":" . strlen($name);
	}

	if(isset($_REQUEST["update"])) {
		// ensure that they have an IMAP account on the system before creating a folder
		if(!$mbox = open_mailbox())
			exit;

		$folders = getfolderlist($mbox, 1);
		for ($i = 0; $i < count($folders); $i++) {
			if (isset($_REQUEST[namehash($i, $folders[$i]["name"])])) {
				imap_subscribe($mbox, $folders[$i]["folder"]);
			} else {
				imap_unsubscribe($mbox, $folders[$i]["folder"]);
			}
		}

		// close the window if we just created a folder and update the folder list
		echo("<HTML><<HEAD><SCRIPT TYPE=\"text/javascript\">\n");
		echo("  opener.parent.folderlist.document.location.href = 'folderlist.php';\n");
		echo("	window.close();\n");
		echo("</SCRIPT></HEAD><BODY></BODY></HTML>\n");
		exit;
	}
?><!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN"><HTML>
<HEAD>
	<TITLE>
		<?PHP echo(gettext("Subscribe/Unsubscribe"));?>
	</TITLE>
	<?PHP ContentTypeHeader();?>
	<STYLE TYPE="text/css">
		.item {
			padding: 0px;
			margin: 0px;
			white-space: nowrap;
		}

		.icon {
			width: 16px;
			height: 16px;
		}

		a {
			color: black;
			cursor: pointer;
			cursor: hand;
			font-weight: bold;
			margin-left: 3px;
			padding: 1px 2px 1px 2px;
			text-decoration: none;
		}
	</STYLE>
	<SCRIPT TYPE="text/javascript">
		if (document.all) {
			document.styleSheets[0].addRule('.hc','font-family: arial,sans-serif; font-size: x-small; text-align: center; color: white; font-weight: bold');
			document.styleSheets[0].addRule('.mc','font-family: arial,sans-serif; font-size: x-small');
		} else {
			document.styleSheets[0].insertRule('.hc {font-family: arial,sans-serif; font-size: small; text-align: center; color: white; font-weight: bold}', document.styleSheets[0].cssRules.length);
			document.styleSheets[0].insertRule('.mc {font-family: arial,sans-serif; font-size: small}', document.styleSheets[0].cssRules.length);
		}
	</SCRIPT>
</HEAD>
<BODY STYLE="margin: 0px; background-image: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/stipplebg.gif"); ?>);">
	<BR>
	<FORM ID="subscribeform" NAME="subscribeform" METHOD="POST" ACTION="subscribe.php" onSubmit="return FillForm()">
	<TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0 ALIGN=CENTER STYLE="width:96%; text-align: center;">
		<TR>
			<TD STYLE="width: 7px; background-image: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/curvedlefttab.gif"); ?>);">
				<BR>
			</TD>
			<TD STYLE="background-image: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/curvedmiddletab.gif"); ?>);" CLASS="hc">
				<?PHP echo(gettext("Subscribe/Unsubscribe"));?>
			</TD>
			<TD STYLE="width: 7px; background-image: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/curvedrighttab.gif"); ?>);">
				<BR>
			</TD>
		</TR>
	</TABLE>
	<TABLE CELLPADDING=2 CELLSPACING=0 BORDER=0 ALIGN=CENTER STYLE="width: 96%; background-color: #FFFFFF; border: 1px solid black;">
		<TR>
			<TD CLASS="mc" ID="folders">
				<DIV CLASS="item"><IMG SRC="<?PHP echo("graphics/themes/" . $_SESSION["themedir"] . "/xtree/openfoldericon.png"); ?>" CLASS="icon"><A HREF="#N">Inside Systems Mail</A></DIV>
			</TD>
		</TR>
	<TABLE>
	<BR>
	<TABLE ALIGN=CENTER>
		<TR>
			<TD COLSPAN=2 STYLE="text-align: center">
				<INPUT TYPE=SUBMIT VALUE=" <?PHP
					echo(gettext("Update Subscriptions"));
				?> " NAME="update">
			</TD>
		</TR>
	</TABLE>
	<BR>
	</FORM>
</BODY>
<SCRIPT TYPE="text/javascript">
	var f = new Array();
<?PHP
	$mbox = open_mailbox();
	// First get all of our subscribed folders in a hash, so we know they are subscribed
	$sfolders = getfolderlist($mbox);
	for ($i = 0; $i < count($sfolders); $i++) {
		$subscribedfolders[$sfolders[$i]["folder"]] = 1;
	}
	$folders = getfolderlist($mbox, 1);
	for ($i = 0; $i < count($folders); $i++) {
		echo("	f[" . $i . "] = new Object();\n");
		echo("	f[" . $i . "]['n'] = '" . addslashes($folders[$i]["name"]) . "';\n");
		echo("	f[" . $i . "]['l'] = " . $folders[$i]["level"] . ";\n");
		echo("	f[" . $i . "]['h'] = '" . namehash($i, $folders[$i]["name"]) . "';\n");
		if ($folders[$i]["folder"] == "") {
			echo("	f[" . $i . "]['s'] = -1;\n");
		} else {
			if (array_key_exists($folders[$i]["folder"], $subscribedfolders)) {
				echo("	f[" . $i . "]['s'] = 1;\n");
			} else {
				echo("	f[" . $i . "]['s'] = 0;\n");
			}
		}
	}
?>
	for (var i = 0; i < f.length; i++) {
		var newdiv = document.createElement('DIV');
		newdiv.className = 'item';
		var newimg = document.createElement('IMG');
		newimg.className = 'icon';
		//newimg.style.paddingLeft = (f[i]['l'] * 16) + 'px';
		newimg.style.marginLeft = (f[i]['l'] * 16) + 'px';
		if (f[i]['s'] == 1) {
			newimg.src = '<?PHP echo("graphics/themes/" . $_SESSION["themedir"] . "/xtree/openfoldericon.png"); ?>';
		} else {
			newimg.src = '<?PHP echo("graphics/themes/" . $_SESSION["themedir"] . "/xtree/foldericon.png"); ?>';
		}
		newdiv.appendChild(newimg);
		var newanchor = document.createElement('A');
		if (f[i]['s'] == 1) {
			newanchor.style.fontWeight = 'bold';
			newanchor.style.fontStyle = 'normal';
			newanchor.onclick = ToggleState;
		} else if (f[i]['s'] == 0) {
			newanchor.style.fontWeight = 'normal';
			newanchor.style.fontStyle = 'italic';
			newanchor.onclick = ToggleState;
		} else {
			newanchor.style.fontWeight = 'normal';
			newanchor.style.fontStyle = 'italic';
			newanchor.onclick = RootWarning;
		}
		newanchor.id = i;
		newanchor.appendChild(document.createTextNode(f[i]['n']));
		newdiv.appendChild(newanchor);
		document.getElementById('folders').appendChild(newdiv);
	}

	function ToggleState(e) {
		if (window.event) {
			var e_id = window.event.srcElement.id;
		} else {
			var e_id = e.target.id;
		}
		if (f[e_id]['s'] == 0) {
			document.getElementById(e_id).style.fontWeight = 'bold';
			document.getElementById(e_id).style.fontStyle = 'normal';
			document.getElementById(e_id).previousSibling.src = '<?PHP echo("graphics/themes/" . $_SESSION["themedir"] . "/xtree/openfoldericon.png"); ?>';
			f[e_id]['s'] = 1;
		} else {
			document.getElementById(e_id).style.fontWeight = 'normal';
			document.getElementById(e_id).style.fontStyle = 'italic';
			document.getElementById(e_id).previousSibling.src = '<?PHP echo("graphics/themes/" . $_SESSION["themedir"] . "/xtree/foldericon.png"); ?>';
			f[e_id]['s'] = 0;
		}
	}

	function RootWarning() {
		alert('<?PHP
			echo(addslashes(gettext("You cannot subscribe/unsubscribe to root folders in this IMAP flavor")));
		?>');
	}

	function FillForm() {
		for (i = 0; i < f.length; i++) {
			if (f[i]['s'] == 1) {
				var newhe = document.createElement('INPUT');
				newhe.type = 'hidden';
				newhe.name = f[i]['h'];
				newhe.value = 1;
				document.getElementById('subscribeform').appendChild(newhe);
			}
		}
		return true;
	}
</SCRIPT>
</HTML>
