<?PHP
	include "include/globals.php";
	include $_SESSION['addressbookstorage'];

	if ((int)$_REQUEST["abid"] > 0) {
		$AddressBook = new AddressBook();
		$entry = $AddressBook->GetEntryInfo($_REQUEST["abid"]);
		if ($entry === false) {
			echo(" error accessing address book id " . (int)$_REQUEST["abid"]);
			exit;
		}
	} else {
		echo(" No entries in the address book.\n");
		exit;
	}
?><!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
	<?PHP ContentTypeHeader();?>
	<STYLE TYPE="text/css">
		.lbl {
			text-align: right;
			font-weight: bold;
			width: 100px;
		}
		img {
			cursor: pointer;
			cursor: hand;
		}

		a:link {
			color: <?PHP echo($_SESSION['themeconfig']['addressbook-link-color'] . ";\n"); ?>
		}

		a:visited {
			color: <?PHP echo($_SESSION['themeconfig']['addressbook-link-visited-color'] . ";\n"); ?>
		}

		a:hover {
			color: <?PHP echo($_SESSION['themeconfig']['addressbook-link-hover-color'] . ";\n"); ?>
		}
	</STYLE>

	<SCRIPT TYPE="text/javascript">
		var abid = <?PHP echo ((int)$_REQUEST["abid"]);?>;
		function AER(emailaddr, isdefault) {
			var i = 0;
			while (document.getElementById('email' + i)) {
				i++;
			}
			var row = document.createElement('TR');
			var cell = document.createElement('TD');
			if (document.all) {
				if (isdefault == 1) {
					var obj = document.createElement('<INPUT NAME="default" TYPE="radio" CHECKED>');
				} else {
					var obj = document.createElement('<INPUT NAME="default" TYPE="radio">');
				}
			} else {
				var obj = document.createElement('INPUT');
				obj.name = 'default';
				obj.type = 'radio';
				if (isdefault == 1) {
					obj.checked = true;
				}
			}
			obj.onclick = SetDefault;
			cell.appendChild(obj);
			row.appendChild(cell);
			cell = document.createElement('TD');
			cell.id = 'email' + i
			obj = document.createElement('A');
			obj.onclick = NewMail;
			obj.href = '#N';
			obj.appendChild(document.createTextNode(emailaddr));
			obj.style.color = '<?PHP echo($_SESSION['themeconfig']['addressbook-link-color']); ?>';
			obj.style.textDecoration = 'underline';
			cell.appendChild(obj);
			row.appendChild(cell);
			cell = document.createElement('TD');
			cell.id = i;
			obj = document.createElement('IMG');
			obj.src = '<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/e.gif"); ?>';
			obj.onclick = CE;
			obj.alt = 'Edit';
			cell.appendChild(obj);
			row.appendChild(cell);
			cell = document.createElement('TD');
			obj = document.createElement('IMG');
			obj.src = '<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/x.gif"); ?>';
			obj.onclick = DE;
			obj.alt = 'Delete';
			cell.appendChild(obj);
			row.appendChild(cell);
			if (document.all) {
				document.getElementById('emailtable').childNodes[0].appendChild(row);
			} else {
				document.getElementById('emailtable').appendChild(row);
			}
		}
	</SCRIPT>
</HEAD>
<BODY STYLE="margin: 2px; background-image: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/stipplebg.gif"); ?>);">
<TABLE CELLPADDING=1 CELLSPACING=0 BORDER=0 STYLE="width: 100%; font-family: arial,sans-serif">
	<TR>
		<TD CLASS="lbl"><?PHP echo(gettext("Name"));?>:</TD>
		<TD ID="entryname" STYLE="text-decoration: underline; text-align: left; cursor: pointer; cursor: hand; width: 100%" onClick="Edit(this, 'changename')"><?PHP
			if ($entry["first"] == "" && $entry["middle"] == "" && $entry["last"] == "") {
				echo("None");
			} else {
				echo(trim($entry["first"] . " " . $entry["middle"] . " " . $entry["last"]));
			}
		?></TD>
	</TR>
	<TR>
		<TD CLASS="lbl"><?PHP echo(gettext("Nickname"));?>:</TD>
		<TD ID="entrynickname" STYLE="text-decoration: underline; text-align: left; cursor: pointer; cursor: hand; width: 100%" onClick="Edit(this, 'changenickname')"><?PHP
			if ($entry["nickname"] == "") {
				echo("None");
			} else {
				echo(trim($entry["nickname"]));
			}
		?></TD>
	</TR>
	<TR>
		<TD COLSPAN=2 STYLE="text-align: center">
			<BR>
			<FORM onSubmit="return false">
			<TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0 ALIGN="center" STYLE="text-align: center; width: 90%;">
				<TR STYLE="background-image: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/curvedmiddletab.gif"); ?>); color: white">
					<TD STYLE="width: 7px; background-image: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/curvedlefttab.gif"); ?>);">
						<BR>
					</TD>
					<TD STYLE="text-align: left;">
						&nbsp;<?PHP echo(gettext("Default"));?>
					</TD>
					<TD>
						<?PHP echo(gettext("Address"));?>
					</TD>
					<TD STYLE="text-align: right; width: 10px">
						&nbsp;
					</TD>
					<TD STYLE="width: 7px; background-image: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/curvedrighttab.gif"); ?>);">
						<BR>
					</TD>
				</TR>
			</TABLE>
			<TABLE ID="emailtable" CELLPADDING=1 CELLSPACING=0 BORDER=0 ALIGN="center" STYLE="text-align: center; border: 1px solid black; width: 90%; background-color:#FFFFFF">
			</TABLE>
			</FORM>
			<A HREF=#N onClick="NA()" STYLE="text-decoration: none"><?PHP echo(gettext("Add new address"));?></A>
		</TD>
	</TR>
</TABLE>
</BODY>
<SCRIPT TYPE="text/javascript">
	if (document.all) {
		document.all.emailtable.style.fontSize = 'x-small';
	} else {
		document.getElementById('emailtable').style.fontSize = 'small';
	}

<?PHP
	for ($i = 0; $i < count($entry["emails"]); $i++) {
		echo("	AER('" . addslashes($entry["emails"][$i]) . "',");
		if ($entry["emails"][$i] == $entry["default"]) {
			echo("1");
		} else {
			echo("0");
		}
		echo(");\n");
	}
?>

	function Edit(obj, action) {
		if (obj.firstChild.nodeValue != 'None') {
			var value = obj.firstChild.nodeValue;
		} else {
			var value = '';
		}
		var newvalue = prompt('<?PHP echo(addslashes(gettext("Please enter the new value")));?>', value);
		if ((newvalue != null) && (newvalue != value)) {
			parent.abhidden.location.href = 'addressbookhidden.php?abid=<?PHP echo((int)$_REQUEST["abid"]);?>&action=' + action + '&value=' + escape(newvalue);
		}
	}

	function DE(e) {
		if (window.event) {
			var e_id = window.event.srcElement.parentNode.previousSibling.id;
		} else {
			var e_id = e.target.parentNode.previousSibling.previousSibling.id;
		}
		if (confirm('<?PHP echo(addslashes(gettext("Are you sure you wish to delete this e-mail address?")));?>')) {
			parent.abhidden.location.href = 'addressbookhidden.php?abid=<?PHP echo((int)$_REQUEST["abid"]);?>&action=deleteemail&value=' + escape(document.getElementById(e_id).childNodes[0].firstChild.nodeValue) + '&changeid=' + escape(e_id) + '&r=<?PHP echo(rand());?>';
		}
	}

	function CE(e) {
		if (window.event) {
			var e_id = window.event.srcElement.parentNode.id;
		} else {
			var e_id = e.target.parentNode.id;
		}
		var obj = document.getElementById('email' + e_id);
		var oldemail = obj.firstChild.firstChild.nodeValue;
		var newemail = prompt('<?PHP echo(addslashes(gettext("Please enter the new email address")));?>', oldemail);
		if ((newemail != null) && (newemail != oldemail)) {
			parent.abhidden.location.href = 'addressbookhidden.php?abid=<?PHP echo((int)$_REQUEST["abid"]);?>&action=changeemail&old=' + escape(oldemail) + '&value=' + escape(newemail) + '&changeid=' + obj.id;
		}
	}

	function NA() {
		var newemail = prompt('<?PHP echo(addslashes(gettext("Please enter the new e-mail address")));?>', '');
		if ((newemail != null) && (newemail != '')) {
			parent.abhidden.location.href = 'addressbookhidden.php?abid=<?PHP echo ((int)$_REQUEST["abid"]);?>&action=addemail&value=' + escape(newemail);
		}
	}

	function SetDefault(e) {
		if (window.event) {
			var e_id = window.event.srcElement.parentNode.nextSibling.id;
		} else {
			var e_id = e.target.parentNode.nextSibling.id;
		}
		parent.abhidden.location.href = 'addressbookhidden.php?abid=<?PHP echo ((int)$_REQUEST["abid"]);?>&action=setdefault&value=' + escape(document.getElementById(e_id).childNodes[0].firstChild.nodeValue);
	}

	function NewMail(e) {
		window.open('sendmail.php?abid=' + abid, '', 'width=640,height=480,toolbars=no,scrollbars=no,resizable');
	}
</SCRIPT>
</HTML>
