<?PHP
	include "include/globals.php";
	include "mailfunctions.php";

	if(isset($_POST["deletefolder"])) {
		// ensure that they have an IMAP account on the system before deleting 
		if(!$mbox = open_mailbox())
			exit;

		// First try to unsubscribe them
		imap_unsubscribe($mbox,imap_utf7_decode(urldecode($_POST["deletefolder"])));
		
		// delete the folder
		imap_deletemailbox($mbox,imap_utf7_decode(urldecode($_POST["deletefolder"])));
		$_SESSION["currentfolder"] = "";

		// close the window if we just created a folder and update the folder list
		echo("<HTML><HEAD><SCRIPT TYPE=\"text/javascript\">\n");
		echo("  opener.parent.folderlist.document.location.href = 'folderlist.php';\n");
		echo("	window.close();\n");
		echo("</SCRIPT></HEAD><BODY></BODY></HTML>\n");
		exit;
	}

	function CreateFolderList($folderarr, $mbox) {
		$folders = getfolderlist($mbox);
		
		echo("	<SCRIPT TYPE=\"text/javascript\">\n");
		echo("		if (document.getElementById) {\n");
		echo("			var foldertree = new WebFXTree('Inside Systems Mail');\n");
		echo("			foldertree.setBehavior('explorer');\n");
		for($i = 0; $i < count($folders); $i++) {
			echo("			var treenode" . $i . " = new WebFXTreeItem('" . addslashes($folders[$i]["name"]) . "');\n");
			if ($folders[$i]["level"] > 1) {
				for ($j = $i; $j >= 0; $j--) {
					if ($folders[$j]["level"] < $folders[$i]["level"]) {
						echo("			treenode" . $j . ".add(treenode" . $i . ");\n");
						break;
					}
				}
			} else {
				echo("			foldertree.add(treenode" . $i . ");\n");
			}
			if ($i == 0) {
				echo("			treenode" . $i . ".action = 'javascript:alert(\'You cannot delete your Inbox.\')';\n");
			} else if ($folders[$i]["folder"] != "") {
				echo("			treenode" . $i . ".action = 'javascript:DeleteFolder(\'" . urlencode(addslashes($folders[$i]["folder"])) . "\', \'" . addslashes(addslashes($folders[$i]["name"])) . "\')';\n");
			}
		}		
		echo("			document.write(foldertree);\n");
		echo("		}\n");
		echo("	</SCRIPT>\n");
	}

?><!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
	<TITLE>
		<?PHP echo(gettext("Delete Folder"));?>
	</TITLE>

	<?PHP ContentTypeHeader();?>
	<SCRIPT type="text/JavaScript"> <?PHP include "xtree/xtree.php"; ?></SCRIPT>
	<STYLE type="text/css"><?PHP include "xtree/xtree-css.php"; ?></STYLE>

	<SCRIPT TYPE="text/javascript">
		function DeleteFolder(folderval, deletefoldername) {
			document.getElementById('deletefolder').value = folderval;
			document.getElementById('deletefolderbutton').value = 'Delete \'' + deletefoldername + '\'';
			document.getElementById('foldertitle').firstChild.nodeValue = 'Delete Folder: "' + deletefoldername + '"';
		}

		if (document.all) {
			document.styleSheets[0].addRule('.hc','font-family: arial,sans-serif; font-size: x-small; text-align: center; color: white; font-weight: bold');
		} else {
			document.styleSheets[0].insertRule('.hc {font-family: arial,sans-serif; font-size: small; text-align: center; color: white; font-weight: bold}', document.styleSheets[0].cssRules.length);
		}
	</SCRIPT>
</HEAD>
<BODY STYLE="margin: 0px; background-image: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/stipplebg.gif"); ?>);">
	<BR>
	<FORM NAME="deletefolderform" METHOD="POST" ACTION="deletefolder.php" onSubmit="return CheckData()">
	<INPUT TYPE="hidden" ID="deletefolder" NAME="deletefolder" VALUE="none">
	<TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0 ALIGN=CENTER STYLE="width:96%; text-align: center;">
		<TR>
			<TD STYLE="width: 7px; background-image: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/curvedlefttab.gif"); ?>);">
				<BR>
			</TD>
			<TD ID="foldertitle" STYLE="background-image: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/curvedmiddletab.gif"); ?>);" CLASS="hc">
				<?PHP echo(gettext("Delete Folder"));?>:
			</TD>
			<TD STYLE="width: 7px; background-image: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/curvedrighttab.gif"); ?>);">
				<BR>
			</TD>
		</TR>
	</TABLE>
	<TABLE CELLPADDING="5" CELLSPACING="0" ALIGN=CENTER STYLE="font-family: arial; width: 96%; background-color: #FFFFFF; border: 1px solid black;">
		<TR>
			<TD>
				<?PHP
					$mbox = open_mailbox();
					$folders = imap_lsub($mbox, $_SESSION["serverstring"], "*");
					CreateFolderList($folders, $mbox);
				?>
			</TD>
		</TR>
	</TABLE>
	<BR>
	<TABLE ALIGN=CENTER>
		<TR>
			<TD COLSPAN=2 STYLE="text-align: center">
				<INPUT TYPE="submit" ID="deletefolderbutton" VALUE=" <?PHP
					echo(gettext("Delete"));
				?> " NAME="deletefolderbutton">
			</TD>
		</TR>
	</TABLE>
	<BR>
	</FORM>
</BODY>
<SCRIPT TYPE="text/javascript">
	function CheckData() {
		if (document.getElementById('deletefolder').value == 'none') {
			alert('<?PHP
				echo(addslashes(gettext("You must choose a folder to delete")));
			?>');
			return false;
		} else {
			return true;
		}
	}
</SCRIPT>
</HTML>
