<?PHP
	$onloginpage = true;
	include "include/globals.php";
	include "include/conffilefunctions.php";

	if(isset($_POST["loginusername"])) {

		$domains = getconffiledomains();
		$config = readconffile($_POST['loginusername'], $domains[$_POST['logindomain']]);
		if(isset($config['error'])) {
			header("Location: error.php?error=" . urlencode($config['error']));
			exit;
		}

		session_name("ISMAIL");

		$_SESSION['imapflavor'] = $config['imapflavor'];
		$_SESSION['domain'] = $config['domain'];
		$_SESSION['server'] = $config['server'];
		$_SESSION['port'] = $config['port'];
		$_SESSION['folderseparator'] = $config['folderseparator'];
		$_SESSION['imapserversorting'] = $config['serversorting'];
		$_SESSION['sentfoldername'] = $config['sentitemsfolder'];
		if($config['tls'] === false)
			$_SESSION['serverstring'] = "{" . $config['server'] . ":" . $config['port'] . "/notls}";
		else
			$_SESSION['serverstring'] = "{" . $config['server'] . ":" . $config['port'] . "}";
		$_SESSION['rootfolderpath'] = $config['rootfolderpath'];
		$_SESSION['currentfolder'] = $_SESSION['serverstring'] . $config['rootfolderpath'];
		if ($_SESSION['rootfolderpath'] != '') {
			$_SESSION['rootfolderpath'] .= $_SESSION['folderseparator'];
		}
		$_SESSION['usernameprefix'] = $config['usernameprefix'];
		$_SESSION['usernamesuffix'] = $config['usernamesuffix'];
		$_SESSION['baseusername'] = $_POST['loginusername'];
		$_SESSION['username'] = $config['usernameprefix'] . $_POST['loginusername'] . $config['usernamesuffix'];
		$_SESSION['password'] = $_POST['loginpassword'];
		$_SESSION['emailaddress'] = $config['email'];
		$_SESSION['addressbookstorage'] = $config['addressbookstorage'];
		$_SESSION['encryptaddressbooks'] = $config['encryptaddressbooks'];
		$_SESSION['extensionblacklist'] = $config['extensionblacklist'];
		$_SESSION['mailprogram'] = $config['mailprogram'];

		if($config['dictenable'] === true) {
			$_SESSION['dictenable'] = true;
			$_SESSION['dictcommand'] = $config['dictcommand'];
			$_SESSION['dictargs'] = $config['dictargs'];
		}
		else {
			$_SESSION['dictenable'] = false;
		}

		if($config['spellenable'] === true) {
			$_SESSION['spellenable'] = true;
			$_SESSION['spellcommand'] = $config['spellcommand'];
			$_SESSION['spellargs'] = $config['spellargs'];
		}
		else {
			$_SESSION['spellenable'] = false;
		}

		$_SESSION['themedir'] = $config['themedir'];
		$_SESSION['themeconfig'] = readthemefile($_SESSION['themedir']);
		if(isset($_SESSION['themeconfig']['error'])) {
			header("Location: error.php?error=" . urlencode($_SESSION['themeconfig']['error']));
			exit;
		}

		// check for a valid login before passing them on
		$mbox = @imap_open($_SESSION["serverstring"], $_SESSION["username"], $_SESSION["password"], OP_HALFOPEN);
		if(!$mbox) {
			echo("<HTML>\n");
			echo("\n");
			echo("<HEAD>\n");
			echo("	<TITLE>\n");
			echo("		Login Error\n");
			echo("	</TITLE>\n");
			echo("\n");
			echo("	<STYLE TYPE=\"text/css\">\n");
			echo("		.tc {\n");
			echo("			font-family: arial;\n");
			echo("			font-weight: bold;\n");
			echo("			text-align: center;\n");
			echo("		}\n");
			echo("	</STYLE>\n");
			echo("</HEAD>\n");
			echo("\n");
			echo("<BODY>\n");
			echo("	<DIV CLASS=\"tc\">\n");
			echo("		Login Failed: Unable to find a mailbox for that username and password combination.<BR>\n");
			echo("		Use the back button on your browser to try again.\n");
			echo("	</DIV>\n");
			echo("</BODY>\n");
			echo("\n");
			echo("</HTML>\n");
			exit;
		} else {
			include $_SESSION['addressbookstorage'];

			// create a proper sent items folder if they don't have one
			@imap_createmailbox($mbox,imap_utf7_encode($_SESSION["serverstring"] . $_SESSION["rootfolderpath"] . $_SESSION["sentfoldername"]));

			// subscribe to their Inbox folder if they aren't already
			@imap_subscribe($mbox, $_SESSION["serverstring"] . "INBOX");

			@system("mkdir -p users/" . $_SESSION["emailaddress"]);
			@system("chmod go-wrx users/" . $_SESSION["emailaddress"]);
			$AddressBook = new AddressBook();
			if ($AddressBook === false) {
				header("Location: addressbookdecrypt.php");
				exit;
			}

			SetSettings($AddressBook->GetSettings());

			header("Location: ismail.php");
			exit;
		}
	}

	$domains = getconffiledomains();
?><!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
	<TITLE>
		<?PHP echo(gettext("Inside Systems Mail Login"));?>
	</TITLE>

	<?PHP ContentTypeHeader();?>
	<STYLE TYPE="text/css">
		.pc {
			color: white;
			font-family: arial,sans-serif;
		}
	</STYLE>
</HEAD>
<BODY STYLE="background-color: #000000">
<TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0 STYLE="width: 100%; height: 100%">
	<TR>
		<TD ALIGN="center" VALIGN="middle">
			<IMG SRC="graphics/ismaillogo.jpg"><BR>
			<FORM NAME="LoginForm" METHOD="post" ACTION="login.php">
			<?PHP
				if (count($domains) == 1) {
					echo("<INPUT TYPE=\"hidden\" NAME=\"logindomain\" VALUE=\"0\">\n");
				}
			?>
			<TABLE>
				<TR>
					<TD CLASS="pc" COLSPAN=2 STYLE="text-align: center">
						Inside Systems Mail <?PHP echo($ismailversion);?>
					</TD>
				</TR>
				<TR>
					<TD CLASS="pc">
						<?PHP echo(gettext("Login"));?>:
					</TD>
					<TD>
						<INPUT TYPE="text" NAME="loginusername">
					</TD>
				</TR>
				<TR>
					<TD CLASS="pc">
						<?PHP echo(gettext("Password"));?>:
					</TD>
					<TD>
						<INPUT TYPE="password" NAME="loginpassword">
					</TD>
				</TR>
			<?PHP
				if (count($domains) > 1) {
					echo("	<TR>\n");
					echo("		<TD CLASS=\"pc\">\n");
					echo("			" . gettext("Domain") . ":\n");
					echo("		</TD>\n");
					echo("		<TD>\n");
					echo("			<SELECT NAME=\"logindomain\" SIZE=1>\n");
					for ($i = 0; $i < count($domains); $i++) {
						echo("				<OPTION VALUE=\"" . $i . "\">" . $domains[$i] . "\n");
					}
					echo("			</SELECT>\n");
					echo("		</TD>\n");
					echo("	</TR>\n");
				}
			?>
				<TR>
					<TD COLSPAN=2 STYLE="text-align:center">
						<INPUT TYPE="submit" VALUE=" <?PHP echo(gettext("Login"));?> ">
					</TD>
				</TR>
			</TABLE>
			</FORM>
		</TD>
	</TR>
</TABLE>
</BODY>
<SCRIPT TYPE="text/JavaScript">
	document.LoginForm.loginusername.focus();
</SCRIPT>
</HTML>
