<?PHP
	include "include/globals.php";

	// exit if no message has been chosen yet
	if(($_SESSION["currentfolder"] != "") and ($_SESSION["currentmessage"] != "") and ($_SESSION["currentmessage"] != -1)) {
		@$mbox = open_mailbox($_SESSION["currentfolder"]);
		if(!$mbox) {
			exit;
		}

	}

	// get the header information
	$headerinfo = @imap_header($mbox, imap_msgno($mbox, $_SESSION["currentmessage"]), 50, 50);
	// Now we have to get the full header to support the organization header
	$rawheader = @imap_fetchheader($mbox, $_SESSION["currentmessage"], FT_UID);
	preg_match("/Organization:(.+)\n/", $rawheader, $match);
	$organization = "";
	if (isset($match[1]) && ($match[1] != "")) {
		$organization = trim($match[1]);
	}

	function format_address($address) {
		// if it has a part in <> brackets, remove it
		$address = preg_replace("/\<[^\>]*\>/", "", $address);
		// Get rid of any kinds of quotes that are in it.
		$address = str_replace("\"", "", $address);
		$address = ISDecode($address);
		return htmlspecialchars($address);
	}
?><!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
	<TITLE>
		<?PHP echo(gettext("Message Headers"));?>
	</TITLE>
	<?PHP ContentTypeHeader();?>
	<STYLE TYPE="text/css">
	</STYLE>
	<SCRIPT TYPE="text/javascript">
		if (document.all) {
			document.styleSheets[0].addRule('.htc','font-family: arial,sans-serif; font-size: x-small; color: white');
			document.styleSheets[0].addRule('.hc','font-weight: bold; text-decoration: none; font-family: arial,sans-serif; font-size: x-small; color: white');
		} else {
			document.styleSheets[0].insertRule('.htc {font-family: arial,sans-serif; font-size: small; color: white}', document.styleSheets[0].cssRules.length);
			document.styleSheets[0].insertRule('.hc {font-weight: bold; text-decoration: none; font-family: arial,sans-serif; font-size: small; color: white}', document.styleSheets[0].cssRules.length);
		}
	</SCRIPT>
</HEAD>
<BODY STYLE="margin: 0">
	<TABLE CELLPADDING="0" CELLSPACING="0" STYLE="width:100%; height: 50px; background: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/headerbarfill.gif"); ?>)">
		<TR>
			<TD STYLE="width: 4px; background: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/headerbarleftcap.gif"); ?>)">
			</TD>
			<TD ID="header" CLASS="htc">
				<?PHP
					if ($headerinfo->to) {
						$tostr = format_address($headerinfo->toaddress);
						if(strlen($tostr) > 50)
							$tostr = substr($tostr,0,(int)strrpos(substr($tostr,0,50), ' ')) . "...";
						echo("	&nbsp;<B>" . gettext("From") . ": </B>" . format_address($headerinfo->fromaddress));
						echo("  &nbsp;<B>" . gettext("To") . ": </B>" . $tostr);
						if ($organization != "") {
							$organization = preg_replace("/\b((http(s?):\/\/)|(www\.))([\w\.]+)([\/\w+\.\?\=\-\&\;]+)\b/i", "<a href=\"http$3://$4$5$6\" target=\"_blank\">$2$4$5$6</a>", $organization);
							echo("&nbsp;&nbsp;(" . $organization . ")\n");
						}
						echo("<BR>\n");
						echo("	&nbsp;<B>" . gettext("Subject") . ": </B>" . htmlspecialchars(ISDecode($headerinfo->subject)) . "\n");
					} else {
						echo(" &nbsp;<BR>\n");
					}
				?>
			</TD>
<?PHP
	if (($_SESSION["currentmessage"] != "") and ($_SESSION["currentmessage"] != -1)) {
		echo("			<TD STYLE=\"text-align: right\">\n");
		echo("				<A HREF=\"#N\" onClick=\"window.open('viewmailheader.php','','width=640,height=480,scrollbars=yes,resizable=yes')\" CLASS=\"hc\">" . gettext("Headers&nbsp;Only") . "</A>&nbsp;<BR>\n");
		echo("				<A HREF=\"#N\" onClick=\"window.open('viewmailbody.php','','width=640,height=480,scrollbars=yes,resizable=yes')\" CLASS=\"hc\">" . gettext("Entire&nbsp;Message") . "&nbsp;</A>\n");
		echo("			</TD>\n");
	}
?>
			<TD STYLE="width: 4px; background: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/headerbarrightcap.gif"); ?>)">
			</TD>
		</TR>
	</TABLE>
</BODY>
</HTML>
