<?PHP
	include "include/globals.php";
	include "mailfunctions.php";
	include $_SESSION['addressbookstorage'];

	$AddressBook = new AddressBook();
	$identities = $AddressBook->GetIdentities();
	if(isset($_POST["to"])) {
		// ensure that they have an IMAP account on the system before sending
		if(!open_mailbox($_SESSION["currentfolder"]))
			exit;

		// build the envelope
		$envelope = array();

		$identity = $AddressBook->GetIdentityInfo($_REQUEST["identity"]);
		if ($identity != false) {
			$replyto = $identity["replyto"];
			$displayname = $identity["displayname"];
			$organization = $identity["organization"];
		} else {
			$replyto = $_SESSION["emailaddress"];
			$displayname = $_SESSION["emailaddress"];
			$organization = "";
		}
		$envelope["reply_to"] = $replyto;
		$envelope["return_path"] = $_SESSION["emailaddress"];
		$envelope["to"] = $_POST["to"];
		$envelope["cc"] = $_POST["cc"];
		//$envelope["bcc"] = $_POST["bcc"];
		$envelope["subject"] = $_POST["subject"];
		$envelope["date"] = date("r");
		// BCC must be added here because PHP ignores it otherwise
		$envelope["custom_headers"] = Array("Bcc: " . $_POST["bcc"], "X-Mailer-Version: " . $ismailversion, "X-Mailer: ISMail (http://www.insidesystems.net/projects/project.php?projectid=4)");
		$envelope["message_id"] = "<" . str_replace(" ", ".", microtime()) . "@" . $_SESSION["domain"] . ">";
		if (isset($_POST["messageid"])) {
			$envelope["in_reply_to"] = $_POST["messageid"];
			$envelope["custom_headers"][count($envelope["custom_headers"])] = "References: " . $_POST["messageid"];
		}
		if (isset($_POST["requestreceipt"])) {
			$envelope["custom_headers"][count($envelope["custom_headers"])] = "Disposition-Notification-To: " . $_SESSION["emailaddress"] . "\" <" . $_SESSION["emailaddress"] . ">";
		}
		if ($organization != "") {
			$envelope["custom_headers"][count($envelope["custom_headers"])] = "Organization: " . $organization;
		}
		$filearr = $_FILES;
		while (list($key, $val) = each($_POST)) {
			if (substr($key, 0, 7) == "fstatus") {
				if ($val == 1) {
					$index = count($filearr);
					$filearr[$index]["tmp_name"] = "users/" . $_SESSION["emailaddress"] . "/forwards/" . $_POST["fattach" . substr($key, 7)];
					$filearr[$index]["name"] = $_POST["fattach" . substr($key, 7)];
					$filearr[$index]["type"] = exec("file -i -b " . "users/" . $_SESSION["emailaddress"] . "/forwards/" . $_POST["fattach" . substr($key, 7)]);
				}
			}
		}
		$attachments = array();
		while (list($file, $info) = each($filearr)) {
			$index = count($attachments);

			// Get all of our pieces for this attachment
			// First, the actual contents
			$fp = fopen($info["tmp_name"],"r");
			$contents = fread($fp,filesize($info["tmp_name"]));
			fclose($fp);
			$attachments[$index]["contents.data"] = $contents;

			// Set our filename stuff
			$attachments[$index]["description"] = basename($info["name"]);
			$attachments[$index]["disposition.type"] = "attachment";
			$attachments[$index]["disposition"] = array("filename"=>basename($info["name"]));
			$attachments[$index]["type.parameters"] = array("name"=>basename($info["name"]));

			// Now, set the mimetype and subtype foo
			$mime = explode("/", $info["type"]);
			$attachments[$index]["subtype"] = $mime[1];
			switch($mime[0]) {
				case "image":
				$attachments[$index]["type"] = TYPEIMAGE;
				break;

				case "text":
				$attachments[$index]["type"] = TYPETEXT;
				break;

				case "audio":
				$attachments[$index]["type"] = TYPEAUDIO;
				break;

				case "video":
				$attachments[$index]["type"] = TYPEVIDEO;
				break;

				case "application":
				$attachments[$index]["type"] = TYPEAPPLICATION;
				break;

				case "other":
				default:
				$attachments[$index]["type"] = TYPEOTHER;
				break;
			}
		}

		$body = array();
		$body[0] = array();
		$body[0]["type"] = TYPETEXT;
		$body[0]["subtype"] = "plain";
		$body[0]["description"] = "messagebody";
		$body[0]["contents.data"] = $_POST["mailbodytext"];
		if ($identity["signature"] != "") {
			$body[0]["contents.data"] .= "\n\n" . $identity["signature"];
		}
		if (count($attachments) > 0) {
			$attachmentheader = array();
			$attachmentheader["type"] = TYPEMULTIPART;
			$attachmentheader["subtype"] = "mixed";
			array_unshift($body, $attachmentheader);
			for ($i = 0; $i < count($attachments); $i++) {
				$index = count($body);
				$body[$index]["type"] = $attachments[$i]["type"];
				$body[$index]["type.parameters"] = $attachments[$i]["type.parameters"];
				$body[$index]["subtype"] = $attachments[$i]["subtype"];
				$body[$index]["description"] = $attachments[$i]["description"];
				$body[$index]["disposition"] = $attachments[$i]["disposition"];
				$body[$index]["disposition.type"] = $attachments[$i]["disposition.type"];
				$body[$index]["contents.data"] = $attachments[$i]["contents.data"];
				$body[$index]["encoding"] = ENCBINARY;
			}
		}

		// send it
		$email = "From: \"" . addslashes($displayname) . "\" <" . $_SESSION["emailaddress"] . ">\n" . imap_mail_compose($envelope, $body);
		$fp = popen($_SESSION['mailprogram'], "w");
		fwrite($fp, $email);
		pclose($fp);

		// Stick a copy in the Sent Items
		$sentitems = open_mailbox($_SESSION["serverstring"] . $_SESSION["rootfolderpath"] . $_SESSION["sentfoldername"]);
		imap_append($sentitems, $_SESSION["serverstring"] . $_SESSION["rootfolderpath"] . $_SESSION["sentfoldername"], $email);
		$status = imap_check($sentitems);
		imap_setflag_full($sentitems, $status->Nmsgs,'\\SEEN');
		imap_close($sentitems);

		// close the window if we just sent mail
		echo("<HTML><HEAD><SCRIPT TYPE=\"text/javascript\">\n");
		echo("	window.close();\n");
		echo("</SCRIPT></HEAD><BODY></BODY></HTML>\n");
		exit;
	} else if (isset($_GET["reply"]) || isset($_GET["forward"])) {
		// open up the mailbox and get the info about this message
		$mbox = open_mailbox($_SESSION["currentfolder"]);
		if(!$mbox)
			exit;

		// get the header information
		$headerinfo = @imap_header($mbox, imap_msgno($mbox, $_SESSION["currentmessage"]), 50, 50);
		if($headerinfo) {
			// get the structure of the message
			$structure = imap_fetchstructure($mbox, $_SESSION["currentmessage"], FT_UID);
		}
		if (isset($_GET["reply"])) {
			imap_setflag_full($mbox, $_SESSION["currentmessage"], '\\Answered', ST_UID);
			if ($_SESSION["addrepliestoaddressbook"] == 1) {
				if ($headerinfo->reply_toaddress) {
					$addedentry = $AddressBook->AddEntry($headerinfo->reply_toaddress);
				} else {
					$addedentry = $AddressBook->AddEntry($headerinfo->fromaddress);
				}
			}
		} else {
			if(count($structure->parts) > 0) {
				// clear out the forwards directory and re-add it to make sure everything is copacetic
				@system("rm -f " . "users/" . $_SESSION["emailaddress"] . "/forwards/*");
				@system("mkdir -p " . "users/" . $_SESSION["emailaddress"] . "/forwards");
				@system("chmod go-wrx " . "users/" . $_SESSION["emailaddress"] . "/forwards");
				$fattachments = array();
				for($i=0;$i<count($structure->parts);$i++) {
					if ($structure->parts[$i]->type > 0) {
						$printname = ucwords(strtolower($structure->parts[$i]->subtype));
						$name = "Attachment " . $i;
						$arr = $structure->parts[$i]->dparameters;
						if ($arr[0]->attribute == "filename") {
							$name = $arr[0]->value;
						}
						$arr = $structure->parts[$i]->parameters;
						for($c=0;$c<count($arr);$c++) {
							$param = $arr[$c];
							if ($param->attribute == "name") {
								$name = $param->value;
							}
						}
						// decode and write the file to disk
						decode($mbox, $i+1, $structure->parts[$i]->encoding, "users/" . $_SESSION["emailaddress"] . "/forwards/" . $name);
						$fattachments[count($fattachments)]["name"] = $name;
					}
				}
			}
		}
	} else if (isset($_GET["abid"])) {
		$entry = $AddressBook->GetEntryInfo($_GET["abid"]);
		if ($entry !== false) {
			$name = $entry["name"];
			if (isset($entry["default"])) {
				$email = $entry["default"];
			} else {
				$email = $entry["emails"][0];
			}
			$found = 1;
		}
	}
	// Now is where we will set who this is going to
	if(isset($_GET["reply"])) {
		if ($headerinfo->reply_toaddress) {
			$to = $headerinfo->reply_toaddress;
		} else {
			$to = $headerinfo->fromaddress;
		}
	} else if ((isset($_GET["abid"])) && ($found == 1)) {
		$to = $email;
	} else if (isset($_GET["toaddress"])) {
		$to = $_GET["toaddress"];
	} else {
		$to = "";
	}
	if (isset($name) && ($to != "")) {
		$to = "\"" . $name . "\" <" . $to . ">";
	}
	// Now we check to see if this should default to a different identity than default
	$matchedidentity = 0;
	if (isset($headerinfo)) {
		$identitycheck = ParseEmailLine(ISDecode($headerinfo->toaddress));
		for ($i = 0; $i < count($identities); $i++) {
			$identityinfo = $AddressBook->GetIdentityInfo($identities[$i]["id"]);
			if ($identityinfo["replyto"] == $identitycheck["email"]) {
				$matchedidentity = $identities[$i]["id"];
				break;
			}
		}
	}
?><!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
	<TITLE>
		<?PHP echo(gettext("Send Mail"));?>
	</TITLE>
	<?PHP ContentTypeHeader();?>
	<STYLE TYPE="text/css">
	</STYLE>
	<SCRIPT TYPE="text/javascript">
		var sc = document.styleSheets[0];
		if (document.all) {
			sc.addRule('.ac','text-decoration: none; cursor: pointer; cursor: hand; color: blue; font-family: arial; font-size: x-small');
			sc.addRule('.tac','width: 100%; font-family: arial,sans-serif; font-size: x-small');
			sc.addRule('.hc','font-family: arial,sans-serif; font-weight: bold; vertical-align: top; font-size: x-small; text-decoration: none; color: #000000');
			sc.addRule('.ic','width: 100%; text-align: left; font-family: arial,sans-serif; font-size: x-small; vertical-align: top');
			sc.addRule('.fa','text-align: left; font-family: arial,sans-serif; font-size: x-small; vertical-align: top');
		} else {
			sc.insertRule('.ac {text-decoration: none; cursor: pointer; cursor: hand; color: blue; font-family: arial; font-size: small}', sc.cssRules.length);
			sc.insertRule('.tac {width: 100%; font-family: arial,sans-serif; font-size: small}', sc.cssRules.length);
			sc.insertRule('.hc {font-family: arial,sans-serif; font-weight: bold; vertical-align: top; font-size: small; text-decoration: none; color: #000000}', sc.cssRules.length);
			sc.insertRule('.ic {width: 100%; text-align: left; font-family: arial,sans-serif; font-size: small; vertical-align: top}', sc.cssRules.length);
			sc.insertRule('.fa {text-align: left; font-family: arial,sans-serif; font-size: small; vertical-align: top}', sc.cssRules.length);
		}


		// calls up the address book and inserts the address chosen in the appropriate field
		function insertaddress(elementid)
		{
			window.open('addressbookpopuplist.php?elementid=' + escape(elementid), 'AddAddress', 'height=480,width=200,scrollbars=yes,toolbar=no');

			// get the appropriate text input to put it in
			textinput = document.getElementById(elementid)
			if(textinput.value == '') {
				textinput.value = address;
			}
			else {
				textinput.value = textinput.value + ', ' + address;
			}
		}

		// checks for a subject
		function checkdata()
		{
			if(document.getElementById('to').value == '') {
				alert('<?PHP echo(addslashes(gettext("You must specify a recipient for this message!")));?>');
				return false;
			}

			if(document.getElementById('subject').value == '') {
				if(confirm('<?PHP echo(addslashes(gettext("This message has no subject, are you certain you wish to send it?")));?>')) {
					return true;
				} else {
					return false;
				}
			}

			return true;
		}

		function SubmitForm() {
			if (checkdata()) {
				document.getElementById('sending').firstChild.nodeValue = '<?PHP echo(addslashes(gettext("Sending Mail, Please Wait")));?>...';
				document.sendform.submit();
			}
		}

		function AttachFile()
		{
			var attachments = document.getElementById('attachments');

			// Now we attach some crap to our document
			// Get the next highest file id
			var fileid = 0;
			while (document.getElementById('file' + fileid)) {
				fileid++;
			}

			// If there are no files, ditch the 'None'
			if (fileid == 0) {
				attachments.removeChild(attachments.firstChild);
			}

			var span = document.createElement('SPAN');
			span.id = 'filespan' + fileid;

			var file = document.createElement('INPUT');
			file.type = 'file';
			file.id = 'file' + fileid;
			file.name = 'file' + fileid;
			file.size = 50;
			span.appendChild(file);

			var obj = document.createElement('IMG');
			obj.src = '<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/x.gif"); ?>';
			obj.onclick = Delete;
			obj.className = "ac";
			span.appendChild(obj);

			var br = document.createElement('BR');
			span.appendChild(br);

			document.getElementById('attachments').appendChild(span);
			SetTabIndex();
		}

		function Delete(e)
		{
			if (!e) {
				e = window.event;
				span = e.srcElement.parentNode;
			} else {
				span = e.target.parentNode;
			}
			span.parentNode.removeChild(span);
			SetTabIndex();

			// If the last attachment gets deleted, add a None
			if (document.getElementById('attachments').childNodes.length == 0) {
				document.getElementById('attachments').appendChild(document.createTextNode('None'));
			}
		}

		function SetTabIndex()
		{
			var attachments = document.getElementById('attachments');
			var i = 0;

			for (i = 0; i < attachments.childNodes.length; i++) {
				attachments.childNodes[i].firstChild.tabIndex = 5 + i;
			}
			document.getElementById('mailbodytext').tabIndex = (5 + i);
		}
	</SCRIPT>
</HEAD>
<BODY STYLE="margin: 0px; background-image: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/stipplebg.gif"); ?>);">
<TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0 WIDTH="100%" HEIGHT="50px">
	<TR STYLE="width: 100%; height: 50px; background: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/headerbarfill.gif"); ?>)">
		<TD>
			<TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0>
				<TR>
					<TD>
						<A HREF="javascript:SubmitForm()"><IMG SRC="<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/sendnow.gif"); ?>" BORDER=0 ALT="Send message now"></A><BR>
					</TD>
					<TD STYLE="width: 50px; text-align: center">
							<IMG SRC="<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/buttonseperator.gif"); ?>" ALT=""><BR>
					</TD>
					<TD>
						<A HREF="#N" onClick="AttachFile()"><IMG SRC="<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/attach.gif"); ?>" BORDER=0 ALT="Attach a file"></A><BR>
					</TD>
					<?PHP
						if($_SESSION['spellenable'] == true) {
							echo("<TD>\n");
							echo("	<A HREF=\"#N\" onClick=\"window.open('spellcheck.php?textareaid=mailbodytext', 'spellcheck', 'width=640,height=480,scrollbars=yes')\"><img src=\"graphics/themes/" . $_SESSION['themedir'] . "/checkspelling.gif\" border=\"0\" alt=\"Check Spelling\"><br></A>\n");
							echo("</TD>\n");
						}
					?>
				</TR>
			</TABLE>
		</TD>
		<TD ID="sending" STYLE="color: white; font-family: arial; text-align: right; font-size: small; font-style: italic; font-weight: bold">
			&nbsp;
		</TD>
		<TD STYLE="width: 4px; background-image: url(<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/headerbarrightcap.gif"); ?>);">
			<BR>
		</TD>
	</TR>
</TABLE>
<FORM ID="sendform" NAME="sendform" METHOD="post" ACTION="sendmail.php" ENCTYPE="multipart/form-data">
<?PHP
	if (isset($_GET["reply"])) {
		echo("<INPUT TYPE=\"hidden\" NAME=\"messageid\" VALUE=\"" . htmlspecialchars($headerinfo->message_id) . "\">\n");
	}
?>
<TABLE CELLPADDING="2" CELLSPACING="0" STYLE="width: 100%; font-family: arial; font-size: small">
<?PHP
	if ($identities != false) {
		echo("	<TR>\n");
		echo("		<TD CLASS=\"hc\">\n");
		echo("			" . gettext("Identity") . ":\n");
		echo("		</TD>\n");
		echo("		<TD COLSPAN=3>\n");
		echo("			<SELECT NAME=\"identity\" SIZE=1 CLASS=\"ic\">\n");
		for ($i = 0; $i < count($identities); $i++) {
			echo("				<OPTION VALUE=\"" . $identities[$i]["id"] . "\"");
			if (($matchedidentity == $identities[$i]["id"]) || (($matchedidentity == 0) && ($identities[$i]["isdefault"] == 1))) {
				echo(" SELECTED");
			}
			echo(">" . $identities[$i]["name"] . "\n");
		}
		echo("			</SELECT>\n");
		echo("		</TD>\n");
		echo("	</TR>\n");
	}
?>
	<TR>
		<TD CLASS="hc">
			<img src="<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/addressicon.gif"); ?>" onClick="insertaddress('to')" STYLE="cursor: pointer; cursor: hand">To:
		</TD>
		<TD COLSPAN=3>
			<?PHP
				echo("<INPUT TABINDEX=\"1\" TYPE=\"text\" ID=\"to\" NAME=\"to\" CLASS=\"ic\" VALUE=\"" . htmlspecialchars(ISDecode($to)) . "\">\n");
			?>
		</TD>
	</TR>
	<TR>
		<TD CLASS="hc">
			<img src="<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/addressicon.gif"); ?>" onClick="insertaddress('cc')" STYLE="cursor: pointer; cursor: hand">CC:
		</TD>
		<TD COLSPAN=3>
			<?PHP
				// if it is a reply to all we need to insert the cc line as well
				if (isset($_GET["replyall"])) {
					// make a proper reply list from the to, cc, and from lines
					$alladdresses = $headerinfo->ccaddress . " " . $headerinfo->toaddress . " " . $to;
					preg_match_all("/[\w\.]+@[\w\.]+/", $alladdresses, $matches);
					preg_match("/[\w\.]+@[\w\.]+\b/", $to, $tomatch);
					$end = count($matches[0]);
					$alladdresses = '';
					for($i=0;$i<$end;$i++) {
						if($matches[0][$i] == $tomatch[0])
							continue;
						if($alladdresses == '') {
							$alladdresses = $matches[0][$i];
						}
						else {
							$alladdresses = $alladdresses . ", " . $matches[0][$i];
						}
					}
					echo("<INPUT TABINDEX=\"2\" TYPE=\"TEXT\" NAME=\"cc\" ID=\"cc\" CLASS=\"ic\" VALUE=\"" . htmlspecialchars($alladdresses) . "\">\n");
				}
				else {
					echo("<INPUT TABINDEX=\"2\" TYPE=\"TEXT\" NAME=\"cc\" ID=\"cc\" CLASS=\"ic\">\n");
				}
			?>
		</TD>
	</TR>
	<TR>
		<TD CLASS="hc">
			<img src="<?PHP echo("graphics/themes/" . $_SESSION['themedir'] . "/addressicon.gif"); ?>" onClick="insertaddress('bcc')" STYLE="cursor: pointer; cursor: hand">BCC:
		</TD>
		<TD COLSPAN=3>
			<INPUT TABINDEX="3" TYPE="TEXT" NAME="bcc" ID="bcc"  CLASS="ic">
		</TD>
	</TR>
	<TR>
		<TD CLASS="hc">
			<?PHP echo(gettext("Subject"));?>:
		</TD>
		<TD COLSPAN=3>
			<?PHP
				if (isset($_GET["reply"])) {
					$newsubject = htmlspecialchars(ISDecode($headerinfo->subject));
					if(strtoupper(substr($newsubject, 0, 3)) != "RE:")
						$newsubject = "re: " . $newsubject;
					echo("<INPUT TABINDEX=\"4\" TYPE=\"TEXT\" ID=\"subject\" NAME=\"subject\" CLASS=\"ic\" VALUE=\"" . $newsubject . "\">\n");
				} else if (isset($_GET["forward"])) {
					$newsubject = htmlspecialchars(ISDecode($headerinfo->subject));
					if(strtoupper(substr($newsubject, 0, 4)) != "FWD:")
						$newsubject = "fwd: " . $newsubject;
					echo("<INPUT TABINDEX=\"4\" TYPE=\"TEXT\" ID=\"subject\" NAME=\"subject\" CLASS=\"ic\" VALUE=\"" . $newsubject . "\">\n");
				} else {
					echo("<INPUT TABINDEX=\"4\" TYPE=\"TEXT\" ID=\"subject\" NAME=\"subject\" CLASS=\"ic\">\n");
				}
			?>
		</TD>
	</TR>
	<TR>
		<TD CLASS="hc">
			<?PHP echo(gettext("Attachments"));?>:
		</TD>
		<TD ID="attachments" CLASS="ic">
			<?PHP echo(gettext("None"));?>
		</TD>
		<TD CLASS="hc">
			<?PHP echo(gettext("Request&nbsp;Receipt?"));?>
		</TD>
		<TD CLASS="hc">
			<INPUT TYPE="CHECKBOX" NAME="requestreceipt">
		</TD>
	</TR>
<?PHP
	if (isset($_GET["forward"]) && (count($fattachments) > 0)){
		echo("	<TR>\n");
		echo("		<TD CLASS=\"hc\">\n");
		echo("			" . gettext("Forwarded<BR>Attachments") . ":\n");
		echo("		</TD>\n");
		echo("		<TD ID=\"fattachments\" CLASS=\"ic\" COLSPAN=3>\n");
		echo("			<TABLE CELLPADDING=1 CELLSPACING=0 BORDER=0>\n");
		for ($i = 0; $i < count($fattachments); $i++) {
			echo("				<TR ID=\"fattachment" . $i . "\">\n");
			echo("					<TD CLASS=\"fa\">\n");
			echo("						" . $fattachments[$i]["name"] . "\n");
			echo("						<INPUT TYPE=\"hidden\" NAME=\"fattach" . $i . "\" VALUE=\"" . htmlspecialchars($fattachments[$i]["name"]) . "\">\n");
			echo("						<INPUT TYPE=\"hidden\" ID=\"fstatus" . $i . "\" NAME=\"fstatus" . $i . "\" VALUE=\"1\">\n");
			echo("					</TD>\n");
			echo("					<TD STYLE=\"width: 20px\">\n");
			echo("						<BR>\n");
			echo("					</TD>\n");
			echo("					<TD CLASS=\"fa\">\n");
			echo("						<A HREF=\"#N\" onClick=\"Toggle(" . $i . ", this)\" CLASS=\"ac\">unattach</A>\n");
			echo("					</TD>\n");
			echo("				</TR>\n");
		}
		echo("			</TABLE>\n");
		echo("		</TD>\n");
		echo("	</TR>\n");
	}
?>
	<TR>
		<TD COLSPAN="4" STYLE="text-align: center">
			<?PHP
				if(isset($_GET["reply"]) || isset($_GET["forward"])) {
					// create a message header to indicate the original message
					$replyforwardheader = "--- " . gettext("Original Message") . " ---\n" . gettext("From") . ": " . ISDecode($headerinfo->fromaddress) . "\nSent: " . $headerinfo->date . "\n" . gettext("To") . ": " . ISDecode($headerinfo->toaddress) . "\n" . gettext("Subject") . ": " . ISDecode($headerinfo->subject) . "\n\n";
					echo("<TEXTAREA TABINDEX=\"5\" ID=\"mailbodytext\" NAME=\"mailbodytext\" ROWS=\"15\" COLS=\"40\" CLASS=\"tac\">" . htmlspecialchars($replyforwardheader . printBody($mbox, 1)) . "</TEXTAREA>\n");
				} else {
						echo("<TEXTAREA TABINDEX=\"5\" ID=\"mailbodytext\" NAME=\"mailbodytext\" ROWS=\"15\" COLS=\"40\" CLASS=\"tac\"></TEXTAREA>\n");
				}
			?>
		</TD>
	</TR>
</TABLE>
</FORM>
</BODY>
<SCRIPT TYPE="text/javascript">
<?PHP
	if (isset($_GET["forward"])) {
		echo("	function Toggle(num, obj) {\n");
		echo("		if (document.all) {\n");
		echo("			var bnum = 0;\n");
		echo("		} else {\n");
		echo("			var bnum = 1;\n");
		echo("		}\n");
		echo("		var toggleobj = document.getElementById('fstatus' + num);\n");
		echo("		var nameobj = document.getElementById('fattachment' + num);\n");
		echo("		if (toggleobj.value == 1) {\n");
		echo("			obj.firstChild.nodeValue = 'attach';\n");
		echo("			toggleobj.value = 0;\n");
		echo("			nameobj.childNodes[bnum].style.color = '#606060';\n");
		echo("			nameobj.childNodes[bnum].style.fontStyle = 'italic';\n");
		echo("		} else {\n");
		echo("			obj.firstChild.nodeValue = 'unattach';\n");
		echo("			toggleobj.value = 1;\n");
		echo("			nameobj.childNodes[bnum].style.color = '#000000';\n");
		echo("			nameobj.childNodes[bnum].style.fontStyle = 'normal';\n");
		echo("		}\n");
		echo("	}\n");
	}
	if (isset($addedentry)) {
		if ($addedentry["code"] == 1) {
			echo("	opener.parent.addressbook.location.href = 'addressbook.php';\n");
		} else if ($addedentry["code"] == 0) {
			echo("	alert('" . addslashes(gettext("Unable to add this address to the address book")) . "');\n");
		}

	}

	if (isset($_GET["reply"])) {
		echo("	document.getElementById('mailbodytext').focus();\n");
	} else {
		echo("	document.getElementById('to').focus();\n");
	}
?>
</SCRIPT>
</HTML>
